//
// NAVBAR -- icons
//

#navbar {

    .icon-menu {
        position: absolute;
        right: 0;
        top: 0;
        width: 80px;
        height: 110px;
        border: 0;
        background: none;
        z-index: 200;
        text-align: center;
        margin: 0;
        padding: 0;
        border-left: 1px solid #EEEEEE;

        span.icon-menu-1,
        span.icon-menu-2,
        span.icon-menu-3 {
            width: 30px;
            height: 4px;
            background: #000000;
            display: block;
            margin: 6px auto;    
            border-radius: 2px;  
            position: relative;
            top: 0;
        }
        span.icon-menu-1,
        span.icon-menu-3 {
            transition: all 0.1s 0.1s;  
        }
        span.icon-menu-2 {
            transition: all 0.1s 0.1s;  
        }

        @media (min-width: $screen-md-min) {

            & {
                display: none;
            }

        }
    
    }

}

/* open */
body.menu-open {

    #navbar {

        .icon-menu {
    
            span.icon-menu-1 {
                transform: rotate(45deg);
                position: relative;
                top: 10px;
            }
            span.icon-menu-2 {
                visibility: hidden;
            }
            span.icon-menu-3 {
                transform: rotate(-45deg);
                position: relative;
                top: -10px;
            }
            span.icon-menu-1,
            span.icon-menu-3 {
                transition: all 0 0;  
            }
            span.icon-menu-2 {
                transition: all 0.1s 0s;   
            }
        
        }
    
    }

}
